cd updater
@Echo Off
set dt=%date:~0,10%_%time:~0,5%
set "dt=%dt::=.%"
set "dt=%dt:/=.%"
set dt=./backup/Drivers %dt%.zip
::直接全部文件备份(选择.zip，因为所有电脑通用)
md "./backup"
::"HaoZipC.exe"  a -y "%dt%"  ".././Drivers"  
@if exist .\updatetemp\Tempfile.zip (HaoZipC  x  .\updatetemp\tempfile.zip -o.\updatetemp -y )
@if exist .\updatetemp\Tempfile.7z (HaoZipC  x  .\updatetemp\tempfile.7z -o.\updatetemp -y )
@if exist .\updatetemp\Tempfile.rar (HaoZipC  x  .\updatetemp\tempfile.rar -o.\updatetemp -y )

@if exist .\updatetemp\setup.exe (start .\updatetemp\setup.exe) 